package org.jeecg.modules.okki.site.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.okki.site.entity.OkkiSite;
import org.jeecg.modules.okki.site.param.ChangeSiteStatusParam;
import org.jeecg.modules.okki.site.param.OkkiSiteParam;
import org.jeecg.modules.okki.siteuser.entity.OkkiSiteUser;

import java.util.List;
import java.util.Map;

/**
 * @Description: 站点
 * @Author: jeecg-boot
 * @Date: 2024-04-29
 * @Version: V1.0
 */
public interface IOkkiSiteService extends IService<OkkiSite> {

    boolean updateBySiteId(OkkiSiteParam okkiSiteParam);

    boolean changeStatus(OkkiSite okkiSite);

    boolean okkiChangeStatus(ChangeSiteStatusParam param);

    boolean insertSite(OkkiSiteParam okkiSiteParam);

    /**
     * 设置服务管理用户
     *
     * @param item
     * @param mergedList
     * @param key
     */
    public void setApiOkkiSiteUserStr(OkkiSite item, Map<String, Object> mergedList, String key);

    public void setOkkiSiteUserStr(OkkiSite item, Map<String, List<OkkiSiteUser>> okkiSiteUsers, String key);

    /**
     * 保存或更新飞书客户信息
     * @param siteId
     */
    public void saveOrUpdateFeishuSheetFields(String siteId);
}
